gnutls_pkcs12_init(3)

NAME
gnutls_pkcs12_init - This function initializes a gnutls_pkcs12_t structure

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_init(gnutls_pkcs12_t * pkcs12);

ARGUMENTS

gnutls_pkcs12_t * pkcs12
    The structure to be initialized

DESCRIPTION
This function will initialize a PKCS12 structure. PKCS12 structures usually contain lists of X.509 Certificates and X.509 Certificate revocation lists.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.